Subject: [netmod] comments on RFC6087bis-01

From: "Sterne, Jason (Jason)" <[email-masked]>
Date: Thu, 8 Jan 2015 18:00:27 +0000

Hi guys,

RFC6087 contains a lot of useful guidelines.   It would be really nice if some of the guidelines were illustrated with some examples.  If various folks know some of this stuff well and can provide an example off the top of their heads it would help make an update easier.

### Section 5.2

Perhaps add a few examples of valid and invalid identifiers ?
  Good: leaf my-interface
        container Hello67890123456789012345678901234567890123456789012345678901234
        list _a10-locations.in.canada
  Bad:  leaf xml-config (can't start with 'xml')
        container Hello678901234567890123456789012345678901234567890123456789012345 (65 chars)
        list 5alive (can't start with a digit)

### Section 5.3.3

After the discussion about 64bit values in YANG settles out we should likely move this into its own section and put more comprehensive information in the doc.

There is a nice example for the last XPath expression point (for 'when' statements).   It would be great to get an example for the other 3 points (mixing of yang & xpath space, xpath conversions and xpath with identities).

### Section 5.6

I know there has been a lot of recent debate over how modules include/import each other.  If it has settled out enough to update this section that would be great (I don't think it has) - otherwise this is just a placeholder comment to update that part of the doc.  We should probably continue that debate in the other email threads and not drag it into this particular email thread.

### Section 5.9

The paragraph about mandatory definitions seems to somewhat conflict with the 'type' leaf in the ietf-interfaces module.  RFC6087bis says that a mandatory leaf must be provided by the client.   RFC6020 section 7.6.5 says the leaf must *exist* (but doesn't seem to require the client to necessarily provide it).

### Section 5.10

Does someone have an example for "since a double-quoted string can modify the content" ?

Regards,
Jason

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 9 Jan 2015 10:41:30 +0100

> Does someone have an example for "since a double-quoted string can modify the content" ?

I think the wording here needs to improve. The issue is that double
quoted strings (i) allow backslash substitutions and (ii) white space
stripping.

OLD

   A single quoted string SHOULD be used to specify the
   pattern, since a double-quoted string can modify the content.

NEW

   A single quoted string SHOULD be used to specify the pattern, since
   a backslash substitutions and white space stripping can occur in a
   double-quoted string.

As an example, the pattern '\d' accepts any of the digits 0..9 while
the pattern "\d" is an undefined backslash substitution in YANG 1.0
and likely causing an error in YANG 1.1.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Jonathan Hansford" <[email-masked]>
Date: Fri, 09 Jan 2015 09:47:49 +0000

In NEW:
 s/a backslash substitutions/backslash substitutions
s/likely causing/likely to cause

----- Original Message -----
From: "Juergen Schoenwaelder" 
To:"Sterne Jason (Jason)" 
Cc:"netmod@ietforg" 
Sent:Fri, 9 Jan 2015 10:41:30 +0100
Subject:Re: [netmod] comments on RFC6087bis-01

 On Thu, Jan 08, 2015 at 06:00:27PM +0000, Sterne, Jason (Jason)

 OLD

 NEW

 As an example, the pattern 'd' accepts any of the digits 0..9 while
 the pattern "d" is an undefined backslash substitution in YANG 1.0
 and likely causing an error in YANG 1.1.

 /js

 Fax: +49 421 200 3103 

 _______________________________________________
 netmod mailing list
 [email-masked]
 https://www.ietf.org/mailman/listinfo/netmod